Skip to main content
POST
Get deployment build status

Authorizations

Authorization
string
header
required

Cactal API key. Create one in the dashboard or via POST /apiKeys. The plaintext key is shown once at creation.

Body

application/json
websiteId
string
required
Minimum string length: 1
target
enum<string>
required
Available options:
head,
published

Response

Deployment state for the resolved source version.

websiteId
string
required

Id of the website.

sourceVersion
integer
required

Source version resolved from target.

previewRevision
string
required

Opaque value that changes when the preview should be refreshed.

hasPages
boolean
required

Whether the resolved source version contains at least one page.

pages
object[]
required

Statically extractable page routes in the resolved source version.

canPublish
boolean
required

Whether this preview is ready and has not already been published.

deployment
object | null
required

The deployment for the resolved source version, or null when none has been built.